Download it now!
Bug 65585 - Elements Dock: Operators have bad order
Summary: Elements Dock: Operators have bad order
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta2
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: Elements-Pane
  Show dependency treegraph
 
Reported: 2013-06-09 21:01 UTC by Regina Henschel
Modified: 2016-10-24 13:28 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2013-06-09 21:01:43 UTC
Show the category 'Operators' in the Elements Dock window. The commands are currently orders in groups having the same position of place holders. The effect is, that frequently used commands are hidden at the lower part of the window.

Suggestion: Make an order, that is more suitable for average users like math teachers. They need lim, sum and integral with from, to, and from..to. The do not need multiple integral, curve integral, or products.
Comment 1 Jorendc 2013-06-09 21:56:19 UTC
Marking as new :-). Thanks Regina!

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-04 15:08:38 UTC
Marcos Paulo de Souza committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3126202c429f512231272fb934e8334777c5231

Fix fdo#65585: Elements Dock: Operators have bad order



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Marcos Souza 2014-03-04 15:09:55 UTC
Hi Regina, Joel,

I pushed a patch that reorder the elements to achieve what you want.

Please verify the daily build or master :)

In case you think that this feature needs more adjustments, please reopen this bug.